Plug Ins not updating: "Update Failed. Forbidden" error message

I actually have problems with a number of my sites not updating the plug-ins, all with the same error message as above. I also have one site that is completely down (mhfanassau.com) with what appears to be a plug-in conflict but the file it is specifying in the error message does not seem to exist on the host server. This has never been an issue before, so I'm not sure what steps to take. Thanks! Kim